MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::KeyValValuesize Class Reference
Inheritance diagram for sc::KeyValValuesize:
[legend]
Collaboration diagram for sc::KeyValValuesize:
[legend]

## Public Member Functions
| KeyValValuesize (int v)
| KeyValValuesize (const KeyValValuesize &)
KeyValValue::KeyValValueError | sizevalue (size_t &) const
void | print (std::ostream &o=ExEnv::out0()) const
Public Member Functions inherited from sc::KeyValValue
| KeyValValue (const KeyValValue &)
virtual KeyValValue::KeyValValueError | doublevalue (double &) const
virtual KeyValValue::KeyValValueError | booleanvalue (int &) const
virtual KeyValValue::KeyValValueError | floatvalue (float &) const
virtual KeyValValue::KeyValValueError | charvalue (char &) const
virtual KeyValValue::KeyValValueError | intvalue (int &) const
virtual KeyValValue::KeyValValueError | pcharvalue (const char *&) const
virtual KeyValValue::KeyValValueError | stringvalue (std::string &) const
virtual KeyValValue::KeyValValueError | describedclassvalue (Ref< DescribedClass > &) const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Public Types inherited from sc::KeyValValue
enum | KeyValValueError { OK, WrongType }
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- keyvalval.h